Subject: Resource compilation / POV-Ray - GNU windres
From: Alain CULOS <[email-masked]>
To: cygwin <[email-masked]>
Date: Tue, 16 Mar 1999 21:55:32 +0000
Newsgroups: povray.programming

Dear All,

For someone in the know with a bit of time on their hands (if that
ever exists I'll be lucky).

I'm trying to compile POV-Ray resources for the first time and I got
warnings (yet it creates the object file).
My question is should I worry ?

Set up is Mingw32/egcs compiler on Windows95B, windres version is :
GNU windres 980830

Command line is :

windres -i PVengine.rc -o PVengine_res.o \
        --define __WIN32__ \
        --define __WIN95__ \
        --define __GNUWIN32__

Warnings are :

PVengine.rc:288: inappropriate modifiers for non-VIRTKEY
PVengine.rc:289: inappropriate modifiers for non-VIRTKEY
PVengine.rc:290: inappropriate modifiers for non-VIRTKEY
PVengine.rc:291: inappropriate modifiers for non-VIRTKEY
PVengine.rc:292: inappropriate modifiers for non-VIRTKEY
PVengine.rc:293: inappropriate modifiers for non-VIRTKEY
PVengine.rc:294: inappropriate modifiers for non-VIRTKEY
PVengine.rc:295: inappropriate modifiers for non-VIRTKEY
PVengine.rc:296: inappropriate modifiers for non-VIRTKEY
PVengine.rc:297: inappropriate modifiers for non-VIRTKEY
PVengine.rc:298: inappropriate modifiers for non-VIRTKEY
PVengine.rc:299: inappropriate modifiers for non-VIRTKEY
PVengine.rc:300: inappropriate modifiers for non-VIRTKEY
PVengine.rc:301: inappropriate modifiers for non-VIRTKEY
PVengine.rc:302: inappropriate modifiers for non-VIRTKEY
PVengine.rc:303: inappropriate modifiers for non-VIRTKEY
PVengine.rc:304: inappropriate modifiers for non-VIRTKEY
PVengine.rc:305: inappropriate modifiers for non-VIRTKEY

File contains (line number obviously not in file) :

285 PVENGINE_MENU ACCELERATORS
286 {
287  "b", CM_HELPABOUT, ASCII, ALT
288  "c", CM_COMMANDLINE, ASCII, ALT
289  "p", CM_BACKGROUNDBITMAP, ASCII, ALT
290  "g", CM_FILERENDER, ASCII, ALT
291  "n", CM_RERUNDIALOG, ASCII, ALT
292  "q", CM_FILEQUEUE, ASCII, ALT
293  "s", CM_SOURCEFILE, ASCII, ALT
294  "w", CM_SHOWMAINWINDOW, ASCII, ALT
295  "x", CM_FILEEXIT, ASCII, ALT
296  "B", CM_HELPABOUT, ASCII, ALT
297  "C", CM_COMMANDLINE, ASCII, ALT
298  "P", CM_BACKGROUNDBITMAP, ASCII, ALT
299  "G", CM_FILERENDER, ASCII, ALT
300  "N", CM_RERUNDIALOG, ASCII, ALT
301  "Q", CM_FILEQUEUE, ASCII, ALT
302  "S", CM_SOURCEFILE, ASCII, ALT
303  "W", CM_SHOWMAINWINDOW, ASCII, ALT
304  "X", CM_FILEEXIT, ASCII, ALT
305  VK_F1, CM_HELPCONTENTS, VIRTKEY
306  VK_F4, CM_FILEEXIT, VIRTKEY, ALT
307  VK_F6, CM_NEXTWINDOW, VIRTKEY
308  VK_F6, CM_PREVWINDOW, VIRTKEY, SHIFT
309  VK_RIGHT, CM_NEXTWINDOW, VIRTKEY, ALT
310  VK_LEFT, CM_PREVWINDOW, VIRTKEY, ALT
311 }

Looks to me like the offending keyword is either ASCII or ALT in my
set-up. But I have no clue why and what I should do about it.

Again, many thanks in advance,
Cheers,
Al.

--
ANTI SPAM / ANTI ARROSAGE COMMERCIAL :
Pour me répondre, veuillez enlever le Z de mon adresse.
To answer me, please take out the Z from my address.

--
Want to unsubscribe from this list?
Send a message to [email-masked]